import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LoggingServiceConfig } from './simple-logger.config';
import { SimpleLoggerService } from './simple-logger.service';
var SimpleLoggerModule = /** @class */ (function () {
    function SimpleLoggerModule() {
    }
    SimpleLoggerModule.forRoot = function (config) {
        return {
            ngModule: SimpleLoggerModule,
            providers: [SimpleLoggerService, { provide: LoggingServiceConfig, useValue: config }]
        };
    };
    SimpleLoggerModule.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        CommonModule
                    ],
                    declarations: []
                },] },
    ];
    return SimpleLoggerModule;
}());
export { SimpleLoggerModule };
//# sourceMappingURL=simple-logger.module.js.map